TinyPortal

Development => Support => Installation => Topic started by: SundayNiagara on May 13, 2006, 10:20:03 PM

Title: 1.0.7?
Post by: SundayNiagara on May 13, 2006, 10:20:03 PM
Tried to install 0.8.6 and got this:  "The package you are trying to download or install is either corrupt or not compatible with this version of SMF."  Is this the wrong version for me?
Mark

PS:  This is through the package manager.
Title: Re: 1.0.7?
Post by: G6Cad on May 14, 2006, 02:52:22 AM
not wrong version. just not updated in the xml install file. add the 1.0.7 to the lines where it say 1.0.5, 1.0.6 and the packagemanager will accept it
Title: Re: 1.0.7?
Post by: SundayNiagara on May 14, 2006, 05:06:08 AM
Explain please.
Mark
Title: Re: 1.0.7?
Post by: G6Cad on May 14, 2006, 05:07:48 AM
How about using the search ;)

http://www.tinyportal.net/smf/index.php?topic=3860.0
Title: Re: 1.0.7?
Post by: SundayNiagara on May 14, 2006, 08:22:37 AM
I still don't understand.  Someone please tell me step-by-step how to fix this without making me jump all over the place.
Mark
Title: Re: 1.0.7?
Post by: alan s on May 14, 2006, 09:07:48 AM
unzip the tinyportal package and open up
packageinfo.xml

FIND
Code: [Select]
<version>0.86</version>
        <install for="1.0.5, 1.0.6">

REPLACE VVITH
Code: [Select]
<version>0.86</version>
        <install for="1.0.5, 1.0.6, 1.0.7">

FIND
Code: [Select]
<uninstall for="1.0.5, 1.0.6">
REPLACE VVITH
Code: [Select]
<uninstall for="1.0.5, 1.0.6, 1.0.7">
save it and put it back into the tinyportal archive and upload it through the package manager

I think thats all that has to be edited anyway

Title: Re: 1.0.7?
Post by: G6Cad on May 14, 2006, 09:08:57 AM
Thank you AlanS :)
Title: Re: 1.0.7?
Post by: SundayNiagara on May 14, 2006, 12:03:13 PM
I've made the change.  Now, how do I get it back in the .zip file?  I've never done this before, as SMF is the only message board that works this way.
Mark
Title: Re: 1.0.7?
Post by: alan s on May 14, 2006, 12:25:58 PM
right click on the unziped folder and click add to archive and select .zip
Title: Re: 1.0.7?
Post by: SundayNiagara on May 14, 2006, 12:50:12 PM
I tried and it didn't work, same result.  Can someone correct this in the download please.
Mark
Title: Re: 1.0.7?
Post by: G6Cad on May 14, 2006, 02:03:17 PM
In the thread i provided the link for, you have all the files needed.
There are some other threads with the same matter, and they to have files allready done. So please try do some searching in this forum, and you will have all you need.

Or try the manual install package, In the link i provided you have the index.template.php file that can be hard to find the right strings in allready done to just upload.

Go for the manual install and use that index.template.php file.
Title: Re: 1.0.7?
Post by: SundayNiagara on May 14, 2006, 02:19:05 PM
No thanks.  I'll wait and someone will make that correction in the download.
Mark
Title: Re: 1.0.7?
Post by: SundayNiagara on May 17, 2006, 09:48:18 PM
Has the problem in the download been fixed?
Mark
Title: Re: 1.0.7?
Post by: G6Cad on May 17, 2006, 11:28:46 PM
If you mean the TP package for 1.0.7 the answer is no, No update in the downloadsection, But in the links provided you have the simple answer to get the package to work by just change a few digits in the install.xml file
Title: Re: 1.0.7?
Post by: SundayNiagara on May 18, 2006, 04:34:06 AM
It didn't work and I can't understand why the download can't be fixed.
Mark
Title: Re: 1.0.7?
Post by: IchBin™ on May 18, 2006, 09:32:56 AM
The download hasn't been fixed because Bloc is the only one who can approve the downloads. No one has taken the time to do it because the temp fix has worked for everyone except you....
Title: Re: 1.0.7?
Post by: SundayNiagara on May 18, 2006, 09:45:50 AM
I'll check in and ask every few days.  It's not a major issue.  Right now, I'm using XMB and am thinking of switching, but there are other issues besides this one.
Mark
Title: Re: 1.0.7?
Post by: IchBin™ on May 18, 2006, 03:40:01 PM
Try this one.
Title: Re: 1.0.7?
Post by: SundayNiagara on May 18, 2006, 03:52:22 PM
Ok that worked, but I'm supposed to CHMOD some files and can't figure out which ones and what the permissions are.  Am I also supposed to run an install file?
Mark
Title: Re: 1.0.7?
Post by: IchBin™ on May 18, 2006, 05:02:12 PM
If you use the package it should install for you. The chmod is something you do via FTP. To chmod a file right click on it in your FTP and select chmod. Change the files to 777 during the installation. Then change them back if you want.
Title: Re: 1.0.7?
Post by: SundayNiagara on May 18, 2006, 05:12:01 PM
I don't have a problem setting permissions, if I know which files to set.  That is my question.
Mark
Title: Re: 1.0.7?
Post by: IchBin™ on May 18, 2006, 05:14:18 PM
Why not just set them all to 777 until the install is over? Then change them back to 755 afterwards, except the Settings.php should be 666 I think.
Title: Re: 1.0.7?
Post by: SundayNiagara on May 18, 2006, 05:28:25 PM
Are you supposed to run the tp install file?  If so, what would the url be?  http://www.americandragracing.com/forum/?
Mark

PS:  Please provide exact instructions as to the setting of the permissions, bearing in mind that I already know the basic stuff.
Title: Re: 1.0.7?
Post by: G6Cad on May 19, 2006, 12:27:20 AM
http://www.yourdomain.com/forum/manual_tp_install.php
But that is just going to make the database install, you still have to manually upload the TP files into your forum, and then copy and paste some code strings in a few files
Title: Re: 1.0.7?
Post by: SundayNiagara on May 19, 2006, 07:16:23 AM
Will someone please list the files that need the permissions set and what they need to be set at.
Mark
Title: Re: 1.0.7?
Post by: IchBin™ on May 19, 2006, 08:08:35 AM
There's too many to list. I'm not going to go through and look to see all the files and directories that need to be changed just because you won't do what I asked. You'd probably find it alot easier if you'd just do a manual install.
Title: Re: 1.0.7?
Post by: SundayNiagara on May 19, 2006, 08:43:46 AM
I've never had this kind of difficulty before.  If someone would post clear-cut, exact, step-by-step instructions as opposed to giving general answers, I can probably solve this problem.
Mark
Title: Re: 1.0.7?
Post by: IchBin™ on May 19, 2006, 09:18:04 AM
I gave you a clear cut resolution. Chmod ALL files 777. Then after installing the mod chmod them back if you want. It's that simple Sunday. Sorry if I'm coming across a little grumpy here, having fun at work these last couple days.....   :-\

If you really don't want to chmod all files, have a look at the modifications file in the manual install post. This will show you all the files that get modified. I think for the most part it's index.php in forum root, Sources directory/files, and the default theme.
Title: Re: 1.0.7?
Post by: bloc on May 19, 2006, 09:30:31 AM
I will update v0.8.6 in the download section here. Was on my to-do list, but got neglected. ::) :)
Title: Re: 1.0.7?
Post by: SundayNiagara on May 19, 2006, 12:24:03 PM
I will update v0.8.6 in the download section here. Was on my to-do list, but got neglected. ::) :)

Will I still need to CHMOD the as yet unspecified files?  I have used TP before and never remember having a problem.
Mark
Title: Re: 1.0.7?
Post by: G6Cad on May 19, 2006, 12:25:40 PM
The installer will ask you to change the permissions if the files needed to be changed are set to not writable.
But why dont you use the adminpanel in SMF to let the SMF set the files needed to do it for you?
Title: Re: 1.0.7?
Post by: SundayNiagara on May 19, 2006, 01:05:13 PM
This is the error I get:  2: copy(/home/sunday/public_html/forum/Themes/default/images/divider.gif): failed to open stream: Permission denied
File: /home/sunday/public_html/forum/Sources/Subs-Package.php
Line: 961

Mark
Title: Re: 1.0.7?
Post by: IchBin™ on May 19, 2006, 03:26:59 PM
When you were using TP before and not having problems were you on a different host? This seems to be a server issue and not really a TP issue I think.
Title: Re: 1.0.7?
Post by: SundayNiagara on May 19, 2006, 03:30:34 PM
Same host.
Mark
Title: Re: 1.0.7?
Post by: bloc on May 20, 2006, 09:19:23 AM
Trying to overwrite an earlier file most likely - some hosts have that security. Maybe you could erase the TP files..they are mostly name "tp...." so that the package can get on with copying stuff? db tables are not touched so you will not lose any previous stuff.

Title: Re: 1.0.7?
Post by: SundayNiagara on May 20, 2006, 09:22:08 AM
I'll start from scratch and re-do the whole thing and see what happens.
Mark